# Uses of Interface
org.eclipse.net4j.util.fsm.ITransition

Packages that use ITransition
Package
Description
org.eclipse.net4j.util.fsm
A framework for finite state machines.
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of ITransition in org.eclipse.net4j.util.fsm

Classes in org.eclipse.net4j.util.fsm that implement ITransition
Modifier and Type
Class
Description
`class`
`FiniteStateMachine.ChangeStateTransition`
A `transition` that changes the `state` of a subject.
`static class`
`FiniteStateMachine.FailTransition`
Deprecated.
Use `FiniteStateMachine.FAIL`
`static class`
`FiniteStateMachine.IgnoreTransition`
Deprecated.
Use `FiniteStateMachine.IGNORE`
Fields in org.eclipse.net4j.util.fsm declared as ITransition
Modifier and Type
Field
Description
`static final ITransition`
FiniteStateMachine.`FAIL`
`static final ITransition`
FiniteStateMachine.`IGNORE`
Methods in org.eclipse.net4j.util.fsm that return ITransition
Modifier and Type
Method
Description
`protected ITransition<STATE,EVENT,SUBJECT,?>`
FiniteStateMachine.`createFailTransition(STATE state, EVENT event)`
`protected ITransition<STATE,EVENT,SUBJECT,?>`
FiniteStateMachine.`createIgnoreTransition(STATE state, EVENT event)`
`final ITransition<STATE,EVENT,SUBJECT,?>`
FiniteStateMachine.`getTransition(STATE state, EVENT event)`
Methods in org.eclipse.net4j.util.fsm with parameters of type ITransition
Modifier and Type
Method
Description
`final void`
FiniteStateMachine.`init(STATE state, EVENT event, ITransition<STATE,EVENT,SUBJECT,?> transition)`
`final void`
FiniteStateMachine.`initAll(ITransition<STATE,EVENT,SUBJECT,?> transition)`
`final void`
FiniteStateMachine.`initEvents(STATE state, ITransition<STATE,EVENT,SUBJECT,?> transition)`
`final void`
FiniteStateMachine.`initStates(EVENT event, ITransition<STATE,EVENT,SUBJECT,?> transition)`
Constructors in org.eclipse.net4j.util.fsm with parameters of type ITransition
Modifier
Constructor
Description
``
`FiniteStateMachine(Class<STATE> stateEnum, Class<EVENT> eventEnum, ITransition<STATE,EVENT,SUBJECT,?> defaultTransition)`

## Uses of ITransition in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement ITransition
Modifier and Type
Class
Description
`protected class`
`ChallengeResponseNegotiator.Transition`